FROM ubuntu
# node 10 and minimal utils
RUN apt-get update
RUN apt-get install apt-utils -y
RUN apt-get upgrade -y
RUN apt-get install curl gnupg unzip -y
RUN curl -sL https://deb.nodesource.com/setup_10.x | bash -
RUN apt-get install -y nodejs
# gcc and g++
RUN apt-get install -y make gcc gcc-multilib g++ g++-multilib \
        pkg-config build-essential libfuse-dev fuse
# rust
RUN curl https://sh.rustup.rs -sSf > /root/install-rust && \
        chmod u+x /root/install-rust && \
        /root/install-rust -y && \
        rm /root/install-rust && \
        ln -s /root/.cargo/bin/* /usr/local/bin/

